export type PubSubRawMessage<T> =
  | PubSubRawNextMessage<T>
  | PubSubRawErrorMessage<T>
  | PubSubRawCompleteMessage<T>;
export interface PubSubRawNextMessage<T> {
  type: 'next';
  message: T;
}
export interface PubSubRawErrorMessage<T> {
  type: 'error';
  error: string;
}
export interface PubSubRawCompleteMessage<T> {
  type: 'complete';
}
