import { TaskStatuses } from '../enums/task-statuses.enum';
import { PipelineUnits } from '../enums/pipeline-units.enum';
import { Field, ObjectType } from '@nestjs/graphql';

@ObjectType()
export class PipelineTaskLogs {
  @Field(() => PipelineUnits)
  unit: PipelineUnits;
  @Field(() => TaskStatuses)
  status: TaskStatuses;
  startedAt?: Date;
  endedAt?: Date;
  logs = '';
}
